Bug 499232 - X hangs, no apparent cause [NEEDINFO]
X hangs, no apparent cause
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 13:25 EDT by Bill Nottingham
Modified: 2014-03-16 23:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ajax: needinfo? (notting)
mcepl: needinfo? (notting)


Attachments (Terms of Use)
X log (30.96 KB, text/plain)
2009-05-05 13:25 EDT, Bill Nottingham
no flags Details
kernel messages (119.61 KB, text/plain)
2009-05-05 13:27 EDT, Bill Nottingham
no flags Details
Output of intel_gpu_dump (628.30 KB, text/plain)
2009-07-24 07:31 EDT, Andreas Schwab
no flags Details
X server log (35.82 KB, text/plain)
2009-07-24 07:32 EDT, Andreas Schwab
no flags Details
OOM from intel_gpu_dump (1.93 KB, text/plain)
2009-07-24 07:37 EDT, Andreas Schwab
no flags Details

  None (edit)
Description Bill Nottingham 2009-05-05 13:25:00 EDT
Description of problem:

(gdb) bt
#0  0x00007f1da8dd47b7 in ioctl () from /lib64/libc.so.6
#1  0x00007f1da6881103 in drmIoctl (fd=8, request=25688, arg=0x0)
    at xf86drm.c:187
#2  0x00007f1da6881406 in drmCommandNone (fd=8, 
    drmCommandIndex=<value optimized out>) at xf86drm.c:2276
#3  0x00007f1da63fb165 in I830BlockHandler (i=0, 
    blockData=<value optimized out>, pTimeout=0x7fffb361a5d8, 
    pReadmask=0x7d2c40) at i830_driver.c:2659
#4  0x000000000052dc25 in AnimCurScreenBlockHandler (
    screenNum=<value optimized out>, blockData=<value optimized out>, 
    pTimeout=<value optimized out>, pReadmask=<value optimized out>)
    at animcur.c:222
#5  0x00000000004f9756 in compBlockHandler (i=0, blockData=0x0, 
    pTimeout=0x7fffb361a5d8, pReadmask=<value optimized out>) at compinit.c:158
#6  0x000000000044b240 in BlockHandler (pTimeout=0x7fffb361a5d8, 
    pReadmask=0x7d2c40) at dixutils.c:384
#7  0x00000000004e7751 in WaitForSomething (
    pClientsReady=<value optimized out>) at WaitFor.c:215
#8  0x0000000000446ec2 in Dispatch () at dispatch.c:367
#9  0x000000000042d0e5 in main (argc=<value optimized out>, 
    argv=0x7fffb361a808, envp=<value optimized out>) at main.c:397

Was typing in a gnome-terminal at the time.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.6.1-6.fc11.x86_64
xorg-x11-drv-intel-2.7.0-2.fc11.x86_64
kernel-2.6.29.1-111.fc11.x86_64
Comment 1 Bill Nottingham 2009-05-05 13:25:33 EDT
Created attachment 342501 [details]
X log
Comment 2 Bill Nottingham 2009-05-05 13:27:25 EDT
Created attachment 342502 [details]
kernel messages
Comment 3 Adam Jackson 2009-05-07 10:47:49 EDT
Next time this happens, yum install intel-gpu-tools, and do intel_gpu_dump.
Comment 4 Bug Zapper 2009-06-09 11:11:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andreas Schwab 2009-07-24 07:31:34 EDT
Created attachment 355004 [details]
Output of intel_gpu_dump
Comment 6 Andreas Schwab 2009-07-24 07:32:23 EDT
Created attachment 355005 [details]
X server log
Comment 7 Andreas Schwab 2009-07-24 07:37:30 EDT
Created attachment 355007 [details]
OOM from intel_gpu_dump
Comment 9 Matěj Cepl 2009-11-05 13:28:34 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Bug Zapper 2010-04-27 10:08:24 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 08:22:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.